/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.zoneddatetimeadapter;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.time.ZonedDateTime;

/**
 *
 * @author omozegieaziegbe
 */
public class CustomDateTimeExample {

    public static void main(String[] args) {
       Gson gson = new GsonBuilder()
                .registerTypeAdapter(ZonedDateTime.class, new ZonedDateTimeAdapter())
                .create();


        Person person = new Person("John Doe", ZonedDateTime.now());    
        
        // Serialize
        String json = gson.toJson(person);
        System.out.println("Serialized Person with ZonedDateTime: " + json);
        
        //Deserialize
        Person deserializedPerson = gson.fromJson(json, Person.class);
        System.out.println("Deserialized Person with ZonedDateTime: " + deserializedPerson);
    }

}
