/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.localdateadapter;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.time.LocalDate;

/**
 *
 * @author omozegieaziegbe
 */
public class CustomDateTimeExample {

    public static void main(String[] args) {
        Gson gson = new GsonBuilder()
                .registerTypeAdapter(LocalDate.class, new LocalDateAdapter())
                .create();

        Person person = new Person("John Doe", LocalDate.of(2022, 10, 1));    
        
        // Serialize
        String json = gson.toJson(person);
        System.out.println("Serialized Person with LocalDate: " + json);
        
        //Deserialize
        Person deserializedPerson = gson.fromJson(json, Person.class);
        System.out.println("Deserialized Person with LocalDate: " + deserializedPerson);
    }

}
